Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QFileIconProvider

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QFileIconProvider

All Implemented Interfaces:
  QtJambiInterface

    public class QFileIconProvider

extends QtJambiObject

The `QFileIconProvider` class provides file icon for the `QDirModel` class.

Nested Class Summary
`static class` | `QFileIconProvider.IconType` Press link for info on QFileIconProvider.IconType

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QFileIconProvider()` Constructs a file icon provider.

Method Summary
`static QFileIconProvider` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QFileIconProvider instance pointed to by nativePointer
`QIcon` | `icon(QFileIconProvider.IconType type)` Returns an icon set for the given `type`.
`QIcon` | `icon(QFileInfo info)` Returns an icon for the file described by `info`.
`java.lang.String` | `type(QFileInfo info)` Returns the type of the file described by `info`.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QFileIconProvider

    public QFileIconProvider()

  Constructs a file icon provider.

Method Detail

### icon

    public QIcon icon(QFileIconProvider.IconType type)

  Returns an icon set for the given `type`.

### icon

    public QIcon icon(QFileInfo info)

  Returns an icon for the file described by `info`.

### type

    public java.lang.String type(QFileInfo info)

  Returns the type of the file described by `info`.

### fromNativePointer

    public static QFileIconProvider fromNativePointer(QNativePointer nativePointer)

  This function returns the QFileIconProvider instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD